"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OracleTransaction = void 0;
const noomitransaction_1 = require("./noomitransaction");
const connectionmanager_1 = require("./connectionmanager");
/**
 * oracle 事务类
 */
class OracleTransaction extends noomitransaction_1.NoomiTransaction {
    /**
     * 开始事务
     */
    async begin() {
        if (!this.connection) {
            this.connection = await connectionmanager_1.getConnection();
        }
    }
    /**
     * 事务提交
     */
    async commit() {
        await this.connection.commit();
    }
    /**
     * 事务回滚
     */
    async rollback() {
        await this.connection.rollback();
    }
}
exports.OracleTransaction = OracleTransaction;
//# sourceMappingURL=oracletransaction.js.map