"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PageFactory = void 0;
/**
 * 页面工厂
 * @remarks
 * 用于管理页面及路径
 */
class PageFactory {
    /**
     * 添加错误提示页
     * @param code      错误码
     * @param url       页面地址
     */
    static addErrorPage(code, url) {
        this.errorPages.set(code, url);
    }
    /**
     * 获取错误提示页
     * @param code      错误码
     * @returns         错误码对应的页面url
     */
    static getErrorPage(code) {
        return this.errorPages.get(code);
    }
}
exports.PageFactory = PageFactory;
/**
 * 错误页面集合
 */
PageFactory.errorPages = new Map();
//# sourceMappingURL=pagefactory.js.map