"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NoomiThreadLocal = void 0;
const { AsyncLocalStorage } = require("async_hooks");
/**
 * 线程安全（threadlocal）
 * @since 0.4.7
 */
class NoomiThreadLocal {
    /**
     * 新建thread id
     * @returns     新threadId
     */
    static newThreadId() {
        let sid = this.threadId++;
        this.localStorage.enterWith(sid);
        return sid;
    }
    /**
     * 获取当前thread id
     * @returns     当前threadId
     */
    static getThreadId() {
        return this.localStorage.getStore();
    }
}
exports.NoomiThreadLocal = NoomiThreadLocal;
/**
 * 线程id
 */
NoomiThreadLocal.threadId = 1;
/**
 * 异步线程存储器
 */
NoomiThreadLocal.localStorage = new AsyncLocalStorage();
//# sourceMappingURL=threadlocal.js.map