"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PostFileHandler = void 0;
const application_1 = require("../tools/application");
const util_1 = require("../tools/util");
/**
 * 针对post不同mime进行处理
 */
class PostFileHandler {
    constructor(tmpDir, mimeType) {
        this.saveDir = tmpDir;
        let type = application_1.App.mime.getExtension(mimeType);
        let fn2 = application_1.App.uuid.v1() + (type ? '.' + type : '');
        //得到绝对路径
        this.path = util_1.Util.getAbsPath([this.saveDir, fn2]);
    }
    /**
     * 处理buf
     * @param buf  新缓冲区
     */
    handleBuf(buf) {
        application_1.App.fs.writeFileSync(this.path, buf, { flag: 'a+' });
    }
    /**
     * 获取result
     * @returns     {path:保存路径}
     */
    getResult() {
        return { path: this.path };
    }
}
exports.PostFileHandler = PostFileHandler;
//# sourceMappingURL=postfileparamhandler.js.map