import { IConnectionManager } from "./connectionmanager";
/**
 * 数据库管理器
 * @remarks
 * 用于管理数据库相关配置
 */
declare class DBManager {
    /**
     * 连接管理器实例名
     */
    static connectionManagerName: string;
    /**
     * 事务类名
     */
    static transactionName: string;
    /**
     * 数据库产品 包括:mysql,mssql,oracle,typeorm,sequelize
     */
    static product: string;
    /**
     * 初始化
     * @param cfg   配置项,参考数据库配置
     */
    static init(cfg: any): void;
    /**
     * 获取connection manager
     * @returns    connection manager
     */
    static getConnectionManager(): IConnectionManager;
    /**
     * @exclude
     * 解析文件
     * @param path  文件路径
     */
    static parseFile(path: string): void;
}
export { DBManager };
