import { IConnectionManager } from "./connectionmanager";
/**
 * mssql连接管理器
 * @remarks
 * mssql直接启动连接池，不需要单独配置
 */
declare class MssqlConnectionManager implements IConnectionManager {
    /**
     * 连接池
     */
    pool: any;
    /**
     * connection对象
     */
    connection: any;
    /**
     * 数据库配置项，示例如下：
     * ```
     *{
     *  "server":"localhost",
     *   "port":1434,
     *   "user":"your user",
     *   "password":"your password",
     *   "database":"your db"
     * }
     * ```
     * 更多细节参考npm mssql
     */
    options: object;
    /**
     * module mssql
     */
    dbMdl: any;
    /**
     * 构造器
     * @param cfg 配置对象 {usePool:使用连接池,useTransaction:是否启用事务机制,其它配置参考options属性说明}
     */
    constructor(cfg: any);
    /**
     * 获取连接
     * @returns mssql request对象
     */
    getConnection(): Promise<any>;
    /**
     * 释放连接
     * @param request mssql request对象
     */
    release(request: any): Promise<void>;
}
export { MssqlConnectionManager };
