import { NoomiTransaction, ETransactionType } from "./noomitransaction";
/**
 * mssql 事务类
 */
declare class MssqlTransaction extends NoomiTransaction {
    /**
     * mssql 事务对象
     */
    tr: any;
    /**
     * 构造器
     * @param id            事务id
     * @param connection    所属连接
     * @param type          事务类型
     */
    constructor(id: number, connection?: any, type?: ETransactionType);
    /**
     * 开始事务
     */
    begin(): Promise<void>;
    /**
     * 事务提交
     */
    commit(): Promise<void>;
    /**
     * 事务回滚
     */
    rollback(): Promise<void>;
}
export { MssqlTransaction };
