import { IConnectionManager } from "./connectionmanager";
/**
 * oracle连接管理器
 */
declare class OracleConnectionManager implements IConnectionManager {
    /**
     * 连接池
     */
    pool: any;
    /**
     * 是否使用连接池
     */
    usePool: boolean;
    /**
     * connection对象
     */
    connection: any;
    /**
     * 数据库配置项，示例如下：
     * ```
     * {
     *   "user":"your user",
     *   "password":"your password",
     *   "connectString":"localhost/your db",
     *   "poolMin":5,
     *   "poolMax":20
     * }
     * ```
     * 更多细节参考npm oracle
     */
    options: object;
    /**
     * module oracle
     */
    dbMdl: any;
    /**
     * pool别名
     */
    poolAlias: string;
    /**
     * 构造器
     * @param cfg 配置对象 {usePool:使用连接池,useTransaction:是否启用事务机制,其它配置参考options属性说明}
     */
    constructor(cfg: any);
    /**
     * 获取连接
     * @returns connection 对象
     */
    getConnection(): Promise<any>;
    /**
     * 释放连接
     * @param conn connection对象
     */
    release(conn: any): Promise<void>;
}
export { OracleConnectionManager };
