import { IConnectionManager } from './connectionmanager';
/**
 * typeorm连接管理器
 */
declare class TypeormConnectionManager implements IConnectionManager {
    /**
     * typeorm connection
     */
    connection: any;
    /**
     * 事务管理器
     */
    transactionManager: any;
    /**
     * 构造器
     * @param cfg 配置对象，配置如下：
     * ```
     * {
     *  "type": "mysql",
     *   "host": "localhost",
     *   "port": 3306,
     *   "username": "your user",
     *   "password": "your password",
     *   "database": "your db",
     *   "logging": true,
     *   "entities": [
     *       "your entity js file directory/*.js"
     *   ]
     * }
     * ```
     */
    constructor(cfg: any);
    /**
     * 获取连接
     * @returns connection（已连接）
     */
    getConnection(): Promise<any>;
    /**
     * 获取manager
     * @returns     EntityManager
     */
    getManager(): Promise<any>;
    /**
     * 释放连接，typeorm无需手动释放连接
     * @param conn
     */
    release(conn?: any): Promise<void>;
    /**
     * 关闭连接，应用结束时执行
     */
    close(): Promise<void>;
}
export { TypeormConnectionManager };
