/**
 * 全局App对象
 * 把常用模块放置到该全局对象中，可以减少模块初始化时间
 */
export declare class App {
    /**
     * 应用名，如果存在多个App共享redis，则需要设置改名字，在noomi.json中配置
     */
    static appName: string;
    /**
     * 语言
     */
    static language: string;
    /**
     * 是否打开file watcher
     */
    static openWatcher: boolean;
    /**
     * node http 对象
     */
    static http: any;
    /**
     * node fs 对象
     */
    static fs: any;
    /**
     * node path 对象
     */
    static path: any;
    /**
     * node url 对象
     */
    static url: any;
    /**
     * mime 对象
     */
    static mime: any;
    /**
     * uuid 对象
     */
    static uuid: any;
    /**
     * node util 对象
     */
    static util: any;
    /**
     * node querystring 对象
     */
    static qs: any;
    /**
     * node crypto 对象
     */
    static crypto: any;
    /**
     * redis 对象
     */
    static redis: any;
    /**
     * stream 对象
     */
    static stream: any;
    /**
     * zlib 对象
     */
    static zlib: any;
    /**
     * json5 对象
     */
    static JSON: any;
    /**
     * 应用配置文件路径
     */
    static configPath: string;
    /**
     * 应用是否部署为集群应用标志
     */
    static isCluster: boolean;
}
