/**
 * 异常工厂
 * @remarks
 * 用于异常信息管理和异常信息处理
 */
declare class ErrorFactory {
    /**
     * 异常信息map，键为异常码，值为异常信息
     */
    private static errMap;
    /**
     * 异常提示语言
     */
    private static language;
    /**
     * 获取异常
     * @param errNo     异常码
     * @param param     参数值数组，用于处理消息带参数的情况
     * @returns         {code:异常码,message:异常信息}
     */
    static getError(errNo: string, param?: Array<any>): any;
}
/**
 * Noomi异常类
 * @remarks
 * 用于产生异常信息
 */
declare class NoomiError extends Error {
    code: string;
    /**
     * 构造器
     * @param code      异常码
     * @param param     参数或参数数组
     */
    constructor(code: string, param?: any);
}
export { ErrorFactory, NoomiError };
