/**
 * 基础模型
 */
declare class BaseModel {
    /**
     * 校验器map
     * key:propName,value:校验器数组
     */
    private static __validatorMap;
    /**
     * 数据类型map
     * key:propName,value:数据类型
     */
    private static __typeMap;
    /**
     * 空校验数组
     */
    private __nullCheckArr;
    /**
     * 构造器
     * @param nullArr   对应路由方法的空校验字段map
     */
    constructor(nullArr?: string[]);
    /**
     * 转换和校验，返回数据类型或校验不正确的属性消息集合
     */
    __handle(): object;
    /**
     * 验证
     * @param name  属性名
     * @returns     null或字符串(表示验证异常)
     */
    __validate(name: string): any;
    /**
     * 数据格式转换
     * @param name  属性名
     * @returns     true 转换成功 false转换失败
     */
    private __transform;
    /**
     * 设置校验器
     * @param name          属性名
     * @param validators    验证器
     */
    static __setValidator(name: string, validators: object): void;
    /**
     * 设置数据类型
     * @param name      属性名
     * @param type      属性类型
     */
    static __setType(name: string, type: string): void;
}
export { BaseModel };
