/**
 * 模型验证器
 */
declare class Validator {
    /**
     * 验证器集合
     */
    private static valiators;
    /**
     * 是否拥有该名字的验证器
     * @param validatorName
     */
    static hasValidator(validatorName: string): boolean;
    /**
     * 添加验证器
     * @param name  验证器名
     * @param foo   验证器方法
     */
    static addValidator(name: string, foo: Function): void;
    /**
     * 添加验证器集
     * @param config {validatorName:foo,...}
     */
    static addValidators(config: object): void;
    /**
     * 验证
     * @param name      验证名
     * @param value     验证内容
     * @param paramArr  附加参数，根据调用确定
     * @returns         通过/不通过
     */
    static validate(name: string, value: any, paramArr: any[]): boolean;
}
export { Validator };
