/**
 * cookie类
 * @remarks
 * 用于response操作cookie
 */
export declare class HttpCookie {
    /**
     * 参数map
     */
    params: Map<string, string>;
    /**
     * 构造器
     */
    constructor();
    /**
     * 设置值
     * @param key   键
     * @param value 值
     */
    set(key: string, value: string): void;
    /**
     * 获取值
     * @param key   键
     */
    get(key: string): string;
    /**
     * 获取所有参数
     * @returns     参数map
     */
    getAll(): Map<string, string>;
    /**
     * 删除键
     * @param key   键
     */
    remove(key: string): void;
}
