/// <reference types="node" />
/**
 * form 参数处理器
 */
export declare class PostFormHandler {
    /**
     * 分隔符
     */
    private boundary;
    /**
     * 换行符
     */
    private lineBreak;
    /**
     * 文件存储路径
     */
    private saveDir;
    /**
     * 属性名
     */
    private propName;
    /**
     * 开始读数据值
     */
    private valueStarted;
    /**
     * 当前帧
     */
    private buf;
    /**
     * 值
     */
    private value;
    /**
     * 返回对象
     */
    private returnObj;
    /**
     * 当前属性为文件类型
     */
    private isFile;
    /**
     * @param boundary      属性分隔符
     * @param tmpDir        文件临时存储路径
     */
    constructor(boundary: string, tmpDir: string);
    /**
     * 处理buf
     * @param buf  新缓冲区
     */
    handleBuf(buf: Buffer): void;
    /**
     * 获取换行符
     * @param buf   来源buffer
     * @returns
     */
    private getLineBreak;
    /**
     * 从buffer读一行
     * @param buf   buf
     * @returns     行字符串
     */
    private readLine;
    /**
     * 处理新属性
     * 包括属性名、文件类型，值前的空行
     */
    private handleNewProp;
    /**
     * 处理文件类型
     */
    private handleFileType;
    /**
     * 处理属性名
     */
    private handleProp;
    /**
     * 获取result
     * @returns     参数值对象
     */
    getResult(): any;
}
