import { HttpRequest } from "./httprequest";
/**
 * @exclude
 * request 队列
 */
interface IRequestItem {
    req: HttpRequest;
    expire?: number;
}
/**
 * @exclude
 * 请求队列
 */
declare class RequestQueue {
    static queue: Array<IRequestItem>;
    static canHandle: boolean;
    /**
     * 加入队列
     * @param req
     * @param res
     */
    static add(req: HttpRequest): void;
    /**
     * 处理队列
     */
    static handle(): void;
    /**
     * 资源访问
     * @param request   request
     * @param path      url路径
     */
    static handleOne(request: HttpRequest): Promise<void>;
    /**
     * 处理结果
     * @param response  response对象
     * @param data      数据或数据对象
     * @param path      资源路径
     * @param isZip     是否zip
     * @returns         void
     * @since 0.5.5
     */
    private static handleResult;
    /**
     * 设置允许处理标志
     * @param v
     */
    static setCanHandle(v: boolean): void;
}
export { RequestQueue };
